Can’t retrieve entity config: core/store_group

老版本的 Magento (1.3.2.3) 跑在新版本的 php (5.4.3) 上有个问题:

Can't retrieve entity config: core/store_group

这问题有点莫名其妙,最后发现是因为 SimpleXML 这个库太老了,在新版本的 php 下无法处理 Magento 的一些 xml 文件,所以出错。

从新版本的 Magento (1.7.0.0) 里拷贝出 lib/Varien/SimpleXML 覆盖原文件就好了。

2 Replies to “Can’t retrieve entity config: core/store_group”

  1. PHP V5.4 for Magento is too hight…
    Many old extension cannot run on PHP V5.3 or newer.
    Thank you let me know how to run Magento on V5.4

Leave a Reply

Your email address will not be published. Required fields are marked *